<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::BillboardParticleRenderer Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#76d2732e63a02c925cca738e1d55b7e9">_createVisualData</a>(void)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ddc7a41c0c6aba115a7ca23219001690">_destroyVisualData</a>(ParticleVisualData *vis)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#5648247c792e417847b2e63884ba154d">_getSortMode</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#d2f65bee7925cb6cf0494d759527ea52">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#c9978c52b947f125de22a5d34cef6afa">_notifyCurrentCamera</a>(Camera *cam)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#1afd4cc34e7377e3b24ed966f14bb1e6">_notifyDefaultDimensions</a>(Real width, Real height)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#9dd8a77610f129937836c371fc37e08a">_notifyParticleCleared</a>(std::list&lt; Particle * &gt; &amp;currentParticles)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#ec55835fcde21e77487cfbb20f439944">_notifyParticleEmitted</a>(Particle *particle)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#64ca1a8e9f77c857d2ffdab29fbdd598">_notifyParticleExpired</a>(Particle *particle)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#692f2b1bf819aeb19899df090b241dd8">_notifyParticleMoved</a>(std::list&lt; Particle * &gt; &amp;currentParticles)</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#c279c2a3702d2f1ffa6246d19df3c5c9">_notifyParticleQuota</a>(size_t quota)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#7157e40ae9b6a7f61fb9fab5a4da4eee">_notifyParticleResized</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#2bb9126250a6ba817f47f75bd49f4d62">_notifyParticleRotated</a>(void)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#a9bddaa902bcf8fee7a5a7b7e7c5d627">_setMaterial</a>(MaterialPtr &amp;mat)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#acfad2e32bad8e249ed9cdb1f2352c39">_updateRenderQueue</a>(RenderQueue *queue, std::list&lt; Particle * &gt; &amp;currentParticles, bool cullIndividually)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#2803a14ff48f1aa9bfa3ce9526578ee4">BillboardParticleRenderer</a>()</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#1bea65fa2b3c2ac5a9f3be59b46a80e8">cleanupDictionary</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#702af78cbc4869e64c369fb11c4f1eb5">copyParametersTo</a>(StringInterface *dest) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#681773443d95aea05a486c5d22c15bd1">createParamDictionary</a>(const String &amp;className)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#976c74301b89b2d2ff9316986cedd149">getBillboardOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#b492a28e771a12046b0e64213034d1ae">getBillboardRotationType</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#54f74153a915180ffcc574150dcd1e46">getBillboardSet</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#65ea6d9dfc830b5a5b310b93b7eec100">getBillboardType</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#8fbe3a3db7fc0741519e9fdd838d7332">getCommonDirection</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#8b6ca85193485752b39ba6e132de0aa3">getCommonUpVector</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e3e13925bde11db245f6c9bbf5031a93">getParamDictionary</a>(void)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#3bfa7791753a155b222dfb2706e5218c">getParamDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#57397ce47f649e66c5654da05207df0b">getParameter</a>(const String &amp;name) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#dfedfcc90e1d602ec6fa646d4d90f17f">getParameters</a>(void) const </td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#1b89daa4b32673170ce1e17e58363357">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#e260a935e8e0a48578367691dab7a656">getUseAccurateFacing</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#5b100f851b0ffc1f093597c7bfd50bf3">isPointRenderingEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#1ee681870bd8a84070283f245715dd66">mBillboardSet</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#baa2b2c02f22cff7a65ba43b4daea538">mParamDictName</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#c192d21617d7dccc382ea48a1174419f">msAccurateFacingCmd</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#3f34e651e2629bbc81e0c4e89ef7d29a">msBillboardOriginCmd</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#b3fe43c36893481bd6df52b522fce463">msBillboardRotationTypeCmd</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#111817e7b27856d379a794939a0c221f">msBillboardTypeCmd</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#cb7ba751151048add4ea93742fae9a37">msCommonDirectionCmd</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#f74992decab85a7ea085ccc0a85e8c96">msCommonUpVectorCmd</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#5e08eb863343f9c60f6ef9344a48075b">msDictionary</a></td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#2a3a974e0f0b92d9ab6a3cdda62e43fd">msPointRenderingCmd</a></td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#18d83b417a606c9d40f87fffe003ef2a">ParticleSystemRenderer</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#efc6f76117519469b8bc5715966bfe9e">setBillboardOrigin</a>(BillboardOrigin origin)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#5f3c1e209d5b28b71e34fc390e55c33c">setBillboardRotationType</a>(BillboardRotationType rotationType)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#f16e29a945f427d11b89bc761a950767">setBillboardType</a>(BillboardType bbt)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#e7af00d85d0902c57c16efac03e6ca27">setCommonDirection</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#d2c4b38ae17677ba56b8ab59ad8f502f">setCommonUpVector</a>(const Vector3 &amp;vec)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#958635089f1339994d75c35d0315ac62">setKeepParticlesInLocalSpace</a>(bool keepLocal)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#ce884b65b722ead9b920b9abf27bf815">setParameter</a>(const String &amp;name, const String &amp;value)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#e356913ccefbebc4f0119a0599a406fc">setParameterList</a>(const NameValuePairList &amp;paramList)</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#6595f8d0a5404812e01eb1518f3a5186">setPointRenderingEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#c57bebe2a341d9a5b0c15bb8e12aaa5a">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#372edf0872962d0364ed9a9b6d5b7b94">setUseAccurateFacing</a>(bool acc)</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html#3bb35a6359b5e33120960969a5b3ba3b">~BillboardParticleRenderer</a>()</td><td><a class="el" href="classOgre_1_1BillboardParticleRenderer.html">Ogre::BillboardParticleRenderer</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html#cedd9af6338bc40603a571333be5f5f9">~ParticleSystemRenderer</a>()</td><td><a class="el" href="classOgre_1_1ParticleSystemRenderer.html">Ogre::ParticleSystemRenderer</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1StringInterface.html#a86a8941e57b203088797a4b28da8c4d">~StringInterface</a>()</td><td><a class="el" href="classOgre_1_1StringInterface.html">Ogre::StringInterface</a></td><td><code> [virtual]</code></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:11 2008
</p>
</body>
</html>
